org.apache.ignite.internal.binary

## Class BinaryWriterSchemaHolder

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryWriterSchemaHolder

    public class BinaryWriterSchemaHolder
    extends Object

Binary writer schema holder.

### Constructor Summary

Constructors
Constructor and Description
`BinaryWriterSchemaHolder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `build(BinarySchema.Builder builder, int fieldCnt)` Build the schema.
`void` `pop(int fieldCnt)` Pop current object's frame.
`void` `push(int id, int off)` Push another frame.
`int` `write(BinaryOutputStream out, int fieldCnt, boolean compactFooter)` Write collected frames and pop them.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryWriterSchemaHolder

    public BinaryWriterSchemaHolder()

### Method Detail

#### push

    public void push(int id,
                     int off)

Push another frame.

Parameters:
  `id` - Field ID.
  `off` - Field offset.

#### build

    public void build(BinarySchema.Builder builder,
                      int fieldCnt)

Build the schema.

Parameters:
  `builder` - Builder.
  `fieldCnt` - Fields count.

#### write

    public int write(BinaryOutputStream out,
                     int fieldCnt,
                     boolean compactFooter)

Write collected frames and pop them.

Parameters:
  `out` - Output stream.
  `fieldCnt` - Count.
  `compactFooter` - Whether footer should be written in compact form.
Returns:
  Amount of bytes dedicated to each field offset. Could be 1, 2 or 4.

#### pop

    public void pop(int fieldCnt)

Pop current object's frame.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018